client

tls-client
auth {{ openvpn_auth_alg }}
cipher {{ openvpn_cipher }}
remote-cert-tls server
{% if openvpn_use_modern_tls %}
tls-version-min 1.2
{% endif %}

proto {{ openvpn_proto }}
remote {{ openvpn_server_address }} {{ openvpn_port }}
dev tun

resolv-retry {{ openvpn_resolv_retry }}
nobind
keepalive {{ openvpn_keepalive_ping }} {{ openvpn_keepalive_timeout }}
{% if openvpn_reneg is not undefined and openvpn_reneg != "" %}
reneg-sec {{ openvpn_reneg }}
{% endif %}
{% if openvpn_tranwindow is not undefined and openvpn_tranwindow != "" %}
tran-window {{ openvpn_tranwindow }}
{% endif %}
{% if openvpn_compression is not undefined and openvpn_compression != "" %}
compress {{ openvpn_compression }}
{% endif %}
persist-key
persist-tun
verb 3

{% for option in openvpn_addl_client_options %}
{{ option }}
{% endfor %}

route-method exe
route-delay 2
{% if openvpn_client_register_dns %}
register-dns
{% endif %}

{% if openvpn_tls_auth %}
key-direction 1
{% endif %}
<ca>
{{ ca_cert.content|b64decode }}
</ca>

{% if openvpn_tls_auth %}
<tls-auth>
{{ tls_auth.content|b64decode }}
</tls-auth>
{% endif %}

<cert>
{{ item.0.content|b64decode }}
</cert>

<key>
{{ item.1.content|b64decode }}
</key>

{% if openvpn_verify_cn|bool %}
verify-x509-name OpenVPN-Server-{{ inventory_hostname[:49] }} name
{% endif %}
